Magento

Cybersource Extension

  • Popularity Score 2741 Popularity Score

    Popularity ScoreReferrals to Site/Downloads

    0 0 1+ 1+ 250+ 250+ 1000+ 1000+ 10000+ 10000+

24/7 credit and debit card payment processing in over 150 currencies
Compatible with:
This extension is currently unavailable on Magento Connect. Please contact the developer.

You will be re-directed to the developer's website to complete your purchase.

You must be registered and logged in to get extension key.
In order to get this extension, you must be logged in to the Magento Community. Click here to login or register.
You must choose from Magento Connect Version 1.5.1.0 or 2.0.
Learn more

Magento Connect 1.0 change

FREE
Previous Next
Overview

Cybersource Extension

CyberSource ensures secure and reliable credit and debit processing in multiple currencies. This extension allows developers to integrate Magento eCommerce stores with this powerful portal.

  • 150+ worldwide currencies accepted
  • Rapid real-time processing speed
  • Supports a wide range of universal and regional cards
  • Provides payment gateway integration using SOAP toolkit APT
  • Transactions processed 24/7 regardless of volume growth or peaks in order volume

  • Please note: To achieve PCI compliance using Cybersource Extension, your whole Magento setup needs to be assessed. For easier PCI compliance, we recommend using Magento Enterprise Edition which contains PA-DSS certified payment integration with Cybersource or Magento Go, a PCI compliant shopping cart that includes Cybersource integration.

    M1 Extension Versions

    Cybersource payment gateway integration

    2012-02-05 17:05:35
    • Version number: 1.6.0.0
    • Stability: Stable
    • Compatibility: 1.1, 1.2, 1.6, 1.11
    You must be registered and logged in to get extension key.
    You must choose from Magento Connect Version 1.5.1.0 or 2.0.
    Learn more

    Magento Connect 1.0 change

    This extension provides Cybersource payment gateway integration with SOAP toolkit API. It requires PHP SOAP extension to be installed.

    Cybersource payment gateway integration

    2012-02-01 01:05:34
    • Version number: 1.1.2
    • Stability: Beta
    • Compatibility: 1.1, 1.2, 1.6, 1.11
    You must be registered and logged in to get extension key.
    You must choose from Magento Connect Version 1.5.1.0 or 2.0.
    Learn more

    Magento Connect 1.0 change

    This extension provides Cybersource payment gateway integration with SOAP toolkit API. It requires PHP SOAP extension to be installed.

    Cybersource payment gateway integration

    2008-07-28 19:34:49
    • Version number: 1.1.1
    • Stability: Beta
    • Compatibility: 1.1, 1.2, 1.6, 1.11
    You must be registered and logged in to get extension key.
    You must choose from Magento Connect Version 1.5.1.0 or 2.0.
    Learn more

    Magento Connect 1.0 change

    This extension provides Cybersource payment gateway integration with SOAP toolkit API. It requires PHP SOAP extension to be installed.

    Cybersource payment gateway integration

    2008-05-09 23:25:30
    • Version number: 1.0.19870
    • Stability: Beta
    • Compatibility: 1.1, 1.2, 1.6, 1.11
    You must be registered and logged in to get extension key.
    You must choose from Magento Connect Version 1.5.1.0 or 2.0.
    Learn more

    Magento Connect 1.0 change

    This extension provides Cybersource payment gateway integration with SOAP toolkit API. It requires PHP SOAP extension to be installed.

    Cybersource payment gateway integration

    2008-04-30 21:46:33
    • Version number: 1.0.19700
    • Stability: Beta
    • Compatibility: 1.1, 1.2, 1.6, 1.11
    You must be registered and logged in to get extension key.
    You must choose from Magento Connect Version 1.5.1.0 or 2.0.
    Learn more

    Magento Connect 1.0 change

    This extension provides Cybersource payment gateway integration with SOAP toolkit API. It requires PHP SOAP extension to be installed.
    1 2
    Q&A

    Declines

    When a customer gets a ping back as the address being incorrect it notes -- "Failure contacting payment gateway". Can this be changed?
    Asked by: mkrastel
    Yes, most likely this is due to AVS mismatch. There are 2 common response codes from CyberSource. 200 & 203. I believe 203 is AVS mismatch. You can ignore the AVS flag when submitting a an authorization request or you can have CyberSource ignore all AVS flags. As a retailer it's up to you. Ignoring AVS will make it very difficult to fight charge backs & fraud, however, it may increase your conversion rate & revenue. I would contact CyberSource and have them walk you through the reporting features within the account. This will help you determine your decision.
    Answered by: kalbanese
    Date published: 2016-05-21

    Ready for SHA2?

    Is this extension ready for SHA2? Has anyone tested it? =================================== From CyberSource: All merchants using either the SOAP Toolkit or SimpleOrder API connection methods are advised to download the latest securitycertificates for the CyberSource transaction processing domain and to ensureyour payment application trusts them in order to ensure uninterruptedprocessing after March 22nd, 2016. The latest security certificates can be obtained via ourKnowledgeBase site, at the following URL: https://support.cybersource.com/cybskb/index?page=content&id=C1447&actp=search&viewlocale=en_US&searchid=1455059643683 As part of this change, any merchants using either the SOAPToolkit or a Simple Order API client as your connection method areadvised to attempt processing test transactions against our Test Environmentendpoint (https://ics2wstest.ic3.com/commerce/1.x/transactionProcessor/)to ensure uninterrupted processing. If your version of the Simple Order API is not compatiblewith secure communications using a SHA-2 certificate, your transactionprocessing may cease to operate on March 22nd, 2016.
    Asked by: kalbanese

    Error on redirected page

    Hi, I installed cybersource extension and added the access and serial key into the code. Now currency and orderPage_signaturePublic is invalid. How can I proceed furhter? What have I done wrong? Any help would be appreciated
    Asked by: RafidS

    3D Secure

    I need 3D Secure
    Asked by: mshaheen1982

    extention installed successfully, security key updated ,, but when place order it says ..."There is an error in processing the payment. Please try...

    may be error around these liles..in file...\app\code\local\Mage\Cybersource\Model\Soap.php try { $result = $soapClient->runTransaction($this->_request); if ($result->reasonCode==self::RESPONSE_CODE_SUCCESS) { /* for multiple capture we need to use the latest capture transaction id */ $payment->setLastTransId($result->requestID) ->setLastCybersourceToken($result->requestToken) ->setCcTransId($result->requestID) ->setTransactionId($result->requestID) ->setIsTransactionClosed(0) ->setCybersourceToken($result->requestToken) ; } else { $error = Mage::helper('cybersource')->__('There is an error in processing the payment. Please try again or contact us.'); } } catch (Exception $e) { Mage::throwException( Mage::helper('cybersource')->__('Gateway request error: %s', $e->getMessage()) ); } please suggest....
    Asked by: ankit_dadhich

    Does it support Enterprise 1.12?

    Does it support Enterprise 1.12? What is the difference between this ext and the out-of-box Cybersource (SOAP Toolkit) in 1.12.
    Asked by: silkdev
    • y_2017, m_2, d_21, h_24CST
    • bvseo_bulk, prod_bvqa, vn_bulk_0.0
    • cp_1, bvpage1
    • co_hasquestionsanswers, tq_6
    • loc_en_US, sid_2198, prod, sort_[SortEntry(order=LOCALE, direction=DESCENDING), SortEntry(order=FEATURED, direction=DESCENDING), SortEntry(order=NUM_ANSWERS, direction=DESCENDING)]
    • clientName_magento
    Get Help

    Support for This Extension

    The best place to start if you need help with a specific extension is to contact the developer. All Magento developers have both a contact email and a support email listed.

    Magento Platform Support

    If you need support for a Magento platform, there are different options for support depending on which Magento platform you are using. Below are links for specific platforms.

    Reviews

    About the Developer

    This extension was developed by and is supported by Magento

    Cybersource Extension is rated 0.6 out of 5 by 11.
    Rated 5 out of 5 by from Works as intended - Don't listen to other reviews Whoever wrote the other reviews obviously has very limited knowledge of Magento. This extension works as intended and I've been able to integrate with multiple onestepcheckouts along with the native magento checkout. To be frank, not sure what the other reviews are talking about.
    Date published: 2016-07-12
    Rated 1 out of 5 by from Does not run as described Be very careful with this extension, as it requires ioncube. Ioncube should not be run in a production environment, especially with Magento, as it will slow down your site and there will be a very significant performance hit. Because it requires ioncube, the extension is not extendable. Worthless.
    Date published: 2014-11-17
    Rated 1 out of 5 by from Website do not load Website do not run in web after installing this extension. I'm using Magento ver. 1.7.0.2
    Date published: 2013-03-23
    Rated out of 5 by from If you upgraded to Magento 1.7 and get a popup message "undefined" when trying to complete a purchase using this extension, I found this post helpful. A slight modification to one of the Cybersource files is needed to be compatible with SOAP Client on PHP 5.3. http://stackoverflow.com/questions/6219239/soap-error-when-trying-to-use-the-cybersource-module-within-magento Hope this helps everyone....no wonder I wasn't getting any sales. :(
    Date published: 2012-10-24
    Rated out of 5 by from One issue, when there is a ZERO payment somehow it logs the card type as VISA, before upgrade.. could be magento or this extension I upgrade both.. it would have a blank value. Can anyone tell me if it is related to this extension or not?
    Date published: 2012-02-26
    Rated out of 5 by from Been using this flawlessly for the past few months. Just recently, we started getting SOAP errors when processing orders through Cybersource. The errors: Payment transaction failed. Reason SOAP-ERROR: Parsing WSDL: Couldn't load from 'https://ics2ws.ic3.com/commerce/1.x/transactionProcessor/CyberSourceTransaction_1.26.wsdl' : failed to load external entity "https://ics2ws.ic3.com/commerce/1.x/transactionProcessor/CyberSourceTransaction_1.26.wsdl"
    Date published: 2012-02-01
    Rated out of 5 by from We get the following error in Downloader console: Exception during cache and session cleaning And after cleaning cache we get fatal error in setup.php
    Date published: 2012-01-13
    Rated out of 5 by from Other are recommending a manual install of this extension, but for the life of me I can't find anywhere to download the package. I just attempted a Connect installation of this on a pretty vanilla 1.5.1 install and it didn't do what I've seen other extension installations do. It didn't take the store out of maintenance mode after install, and browsing to the frontend or backend spits out error messages. Once again, thanks Magento for providing adequate documentation. *sigh*
    Date published: 2011-09-12
    Rated out of 5 by from I can verify that this module can be used on nearly all versions of Magento, I'm currently using it on a clients store, 1.5.1.0. But manual installs are a must. Not only that, but you'll have to excise every last piece of it in order to upgrade Magento. I've already had to do it 4 times now. Truly a pain! What really bugs me about this module is that it wasn't developed by Cybersource, its actually written by Magento Core Staff, and they're failing to upgrade a module that sees a great deal of use. But ok, Authorize.net is written into Magento core. Its one in the same company.... I don't get that. Magento Staff, Please Update Your Module!!!!! 2.5 years without an update is a bit excessive, don't you think?
    Date published: 2011-05-05
    Rated out of 5 by from I just confirmed and installed it in latest stable version of magento 1.4.2 - and its working great. You need to manually install this one - I did mine using FTP :) I used this link as a reference http://www.aschroder.com/2010/05/installing-a-magento-extension-manually-via-ftp-or-ssh/
    Date published: 2011-02-09
    • y_2017, m_2, d_21, h_3
    • bvseo_bulk, prod_bvrr, vn_bulk_0.0
    • cp_1, bvpage1
    • co_hasreviews, tv_0, tr_11
    • loc_en_US, sid_2198, prod, sort_[SortEntry(order=FEATURED, direction=DESCENDING), SortEntry(order=SUBMISSION_TIME, direction=DESCENDING)]
    • clientName_magento

    In order to upload extension, you must be logged in to the Magento Community. Click here to login or register.

    Close

    Register

    * Required Fields

    Close window

    Forgot Your Password?

    Please enter your email below and we'll send you a new password.

    * Required Fields

    Close window

    Login

    To upload extension you must be logged in.

    * Required Fields

    Close window

    You are using an outdated browser

    We built Magento Connect using the latest techniques and technologies.
    This makes Magento Connect faster and easier to use.
    Unfortunately, your browser doesn't support those technologies.
    Use the links below to download a new browser or upgrade your existing browser.